Submitted By: Agathoklis Hatzimanikas <ag at linuxfromscratch dot org>
Date: 2010-01-06
Initial Package Version: 3.5.0
Upstream Status: Uknown
Origin: Gentoo
Description: Allows Valgring to build with glibc-2.11

diff -ruN valgrind-3.5.0/configure.in valgrind-3.5.0-fixed/configure.in
--- valgrind-3.5.0/configure.in	2009-11-07 23:34:37.000000000 +0100
+++ valgrind-3.5.0-fixed/configure.in	2009-11-07 23:38:14.000000000 +0100
@@ -656,6 +656,16 @@
 ],
 GLIBC_VERSION="2.10")
 
+AC_EGREP_CPP([GLIBC_211], [
+#include <features.h>
+#ifdef __GNU_LIBRARY__
+ #if (__GLIBC__ == 2 && __GLIBC_MINOR__ == 11)
+  GLIBC_211
+ #endif
+#endif
+],
+GLIBC_VERSION="2.11")
+
 AC_EGREP_CPP([AIX5_LIBC], [
 #include <standards.h>
 #if defined(_AIXVERSION_510) || defined(_AIXVERSION_520) || defined(_AIXVERSION_530)
@@ -742,6 +752,13 @@
 	DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
 	DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
 	;;
+     2.11)
+	AC_MSG_RESULT(2.11 family)
+	AC_DEFINE([GLIBC_2_11], 1, [Define to 1 if you're using glibc 2.11.x])
+	DEFAULT_SUPP="glibc-2.X.supp ${DEFAULT_SUPP}"
+	DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
+	DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
+	;;
      aix5)
 	AC_MSG_RESULT(AIX 5.1 or 5.2 or 5.3)
 	AC_DEFINE([AIX5_LIBC], 1, [Define to 1 if you're using AIX 5.1 or 5.2 or 5.3])
@@ -755,7 +772,7 @@
 
      *)
 	AC_MSG_RESULT(unsupported version)
-	AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.10])
+	AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.11])
 	AC_MSG_ERROR([or AIX 5.1 or 5.2 or 5.3 GLIBC_VERSION])
 	AC_MSG_ERROR([or Darwin libc])
 	;;
